CREATE TABLE {$NAMESPACE}_extensionstore.extensionstore_extension (
  id INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
  phid VARBINARY(64) NOT NULL,
  publisherPHID VARBINARY(64) NOT NULL,
  name VARCHAR(255) NOT NULL COLLATE {$COLLATE_SORT},
  extensionKey VARCHAR(64) NOT NULL COLLATE {$COLLATE_SORT},
  status VARCHAR(32) NOT NULL COLLATE {$COLLATE_TEXT},
  category VARCHAR(32) NOT NULL COLLATE {$COLLATE_TEXT},
  description LONGTEXT NOT NULL COLLATE {$COLLATE_TEXT},
  details LONGTEXT NOT NULL COLLATE {$COLLATE_TEXT},
  dateCreated INT UNSIGNED NOT NULL,
  dateModified INT UNSIGNED NOT NULL,
  KEY `key_publisher` ( `publisherPHID` ),
  UNIQUE KEY `key_extensionkey` ( `extensionKey` ),
  KEY `key_category` ( `category` ),
  UNIQUE KEY `key_phid` ( `phid` )
) ENGINE=InnoDB, COLLATE {$COLLATE_TEXT};


CREATE TABLE {$NAMESPACE}_extensionstore.extensionstore_extensiontransaction
  LIKE {$NAMESPACE}_file.file_transaction;
